#!/usr/bin/env python

#

#*****************************************************************************

#                      IPG Converter Version 0.5

#

#           Python script for IPG Data Conversion and Analysis 

#              written by Mark S. Adams, Cisco Lawrenceville

#

#                  Copyright 2011, Cisco Systems, Inc.

#

#                     Proprietary and Confidential

#         Unauthorized distribution or copying is prohibited

#                          All rights reserved

#

# No part of this computer software may be reprinted, reproduced or utilized

# in any form or by any electronic, mechanical, or other means, now known or

# hereafter invented, including photocopying and recording, or using any

# information storage and retrieval system, without permission in writing

# from Cisco Systems, Inc.

#*****************************************************************************



import os

import sys

import logging

from optparse import OptionParser



def add_root_directory(root_name):

    def find_top_directory( root_name ):

        for dir0 in sys.path:

            while 1:

                paths = os.path.split( dir0 )

                if not len(paths[1]):

                    return 0

                if paths[1] == root_name:

                    return paths[0]

                dir0 = paths[0] # Move up directories

        return 0

    root_directory = find_top_directory(root_name)

    if not root_directory:

        print 'This python script needs to be somewhere in the "%s" directory.'%(root_name)

        sys.exit()

    if root_directory not in sys.path:

        sys.path.append(root_directory)

        

# Add the root directory

# 'pytronix' is a branding name by Mark Adams of Cisco

add_root_directory('pytronix')



# Import custom GUI and Functions modules

from pytronix.lib.file import Filelod

import ipg_converter_gui as my_gui_module

import ipg_converter_functions as my_functions_module



# Setup log

from pytronix.lib.general import LogControl

module_name = os.path.basename(__file__).split('.')[0]

log        = LogControl.create_logger(module_name)

gui_handle = LogControl.add_gui_handler()





if __name__ == '__main__':

    usage=""

    parser = OptionParser(usage=usage)

    parser.add_option('-c',

                      '--config',

                      help='config file')

    options, args = parser.parse_args()

    filelod_locator = Filelod.FilelodLocator(__file__) # Get the root file on first instance

    my_functions = my_functions_module.MyFunctions(log)

    my_functions.board = my_gui_module.make_base_board(my_functions, log)

    #log_main.set_gui_output(my_functions.board.print_to_gui)

    gui_handle.set_gui_win(my_functions.board.gui)

    my_functions.initialize()

    my_gui_module.launch_gui()



