
import logging


def create_logger(module_name):
    global log
    # Create logger
    log = logging.getLogger(module_name)
    log.setLevel(logging.DEBUG)
    ch = logging.StreamHandler()
    ch.setLevel(logging.DEBUG)
    #formatter = logging.Formatter(
    #    "%(levelname)s %(name)s %(module)s.%(funcName)s(): %(message)s")
    formatter = logging.Formatter(
        "%(levelname)s %(funcName)s(): %(message)s")
    ch.setFormatter(formatter)
    log.addHandler(ch)
    log.debug("debug message")
    return log

def add_gui_handler(log_in=0):
    # Add Gui handler
    global log
    global gui_handle
    from pytronix.lib.gui  import PytronixGui as Gui
    if log_in:
        log = log_in
    gui_handle = Gui.PytronixGuiOutputHandler()
    gui_handle.setLevel(logging.DEBUG)
    #gui_handle.setFormatter(logging.Formatter("%(levelname)s %(module)s.%(funcName)s(): %(message)s"))
    gui_handle.setFormatter(logging.Formatter("%(levelname)s: %(message)s"))
    log.addHandler(gui_handle)
    return gui_handle

def turn_gui_handler_on():
    log.addHandler(gui_handle)

def turn_gui_handler_off():
    log.removeHandler(gui_handle)
